// ============================================================================
//
// This file contains the actions, conditions and expressions your object uses
// 
// ============================================================================

#include "Common.h"
#include "ParamHelp.h"

// ============================================================================
//
// CONDITIONS
// 
// ============================================================================

CONDITION(
	/* ID */			0,
	/* Name */			"%o: %0 == %1",
	/* Flags */			EVFLAGS_ALWAYS|EVFLAGS_NOTABLE,
	/* Params */		(2,PARAM_NUMBER,"First number",PARAM_NUMBER,"Second number")
) {
	int A = lParam();
	int B = lParam();
	
	return(A == B);
}


CONDITION(
	/* ID */			1,
	/* Name */			"%o: On trigger",
	/* Flags */			0,
	/* Params */		(0)
) {
	return(true);
}

// ============================================================================
//
// ACTIONS
// 
// ============================================================================

ACTION(
	/* ID */			0,
	/* Name */			"Trigger condition",
	/* Flags */			0,
	/* Params */		(0)
) {
	rdPtr->rRd->GenerateEvent(1);
}

ACTION(
	/* ID */			1,
	/* Name */			"Dummy action",
	/* Flags */			0,
	/* Params */		(0)
) {
	//
}

// ============================================================================
//
// EXPRESSIONS
// 
// ============================================================================

EXPRESSION(
	/* ID */			0,
	/* Name */			"Sum(",
	/* Flags */			EXPFLAG_DOUBLE,
	/* Params */		(2,EXPPARAM_NUMBER,"First number",EXPPARAM_NUMBER,"Second number")
) {
	float A = xfParam();
	float B = xfParam();
	
	ReturnFloat(A + B);
}

EXPRESSION(
	/* ID */			1,
	/* Name */			"StringReturn$(",
	/* Flags */			EXPFLAG_STRING,
	/* Params */		(1,EXPPARAM_STRING,"String to return")
) {
	string Str = EStrParam();

	ReturnStringSafe(Str.c_str());
}